﻿Imports Infragistics.Win

Public Class Form1

    Implements Infragistics.Win.IUIElementCreationFilter

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load

        'Enable AutoScroll for both UltraPanels
        UltraPanel1.AutoScroll = True
        UltraPanel2.AutoScroll = True

        'Implement custom creation filter for the first panel
        UltraPanel1.CreationFilter = Me
    End Sub

    Public Function BeforeCreateChildElements( _
      ByVal parent As Infragistics.Win.UIElement) _
        As Boolean Implements Infragistics.Win.IUIElementCreationFilter.BeforeCreateChildElements

        'Check for the VericalScrollBarUIElement
        If (parent.GetType().ToString() = "Infragistics.Win.Misc.VeritcalScrollBarUIElement") Then
            'If true, then return the control before the parent and its child elements have been created
            Return True
        Else : Return False
        End If
    End Function

    Public Sub AfterCreateChildElements( _
      ByVal parent As Infragistics.Win.UIElement) _
      Implements Infragistics.Win.IUIElementCreationFilter.AfterCreateChildElements

    End Sub

    Private Sub UltraPanel2_Scroll(sender As System.Object, e As System.Windows.Forms.ScrollEventArgs) Handles UltraPanel2.Scroll
        UltraPanel1.VerticalScrollProperties.Value = e.NewValue
    End Sub
End Class

